//+------------------------------------------------------------------+
//|                                     ZZ MTF SUPER_TREND 5 MIN.mq4 |
//|              Custom indicator =      " SUPER_TREND 2 "           |
//+------------------------------------------------------------------+
#property copyright " MTF SUPER_TREND 2 "
#property link      " MTF SUPER_TREND 2 "

#property indicator_separate_window
#property indicator_buffers 2
//#property indicator_color1 Red
#property indicator_color2 Yellow


//#property indicator_maximum 600                
//#property indicator_minimum -600

                           
extern int TF1=5;//5      
extern int TF2=5;//15
extern int TF3=15;//30
extern int TF4=15;//30

extern double CCIPeriod1=34;//34
extern double CCIPeriod2=14;//34
extern double CCIPeriod3=34;//14
extern double CCIPeriod4=14;//6
extern int    LineSize1=2;
extern int    CountBars=500;


double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];

//double  YESUPTBUY5G=0, YESUPTSELL5G=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

//---- indicators
   SetIndexStyle(0,DRAW_LINE,EMPTY,LineSize1);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE,EMPTY,LineSize1);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE,EMPTY,LineSize1);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE,EMPTY,LineSize1);
   SetIndexBuffer(3,ExtMapBuffer4);

   string short_name;
   short_name=("ZZ MTF SUPER_TREND 2");
    IndicatorShortName(short_name);
     SetIndexLabel(0,short_name);  
  }
//----
   return(0);
 
//+------------------------------------------------------------------+
//| MTF Parabolic Sar                                         |
//+------------------------------------------------------------------+
int start()
  {
   int    i,limit,y=0,counted_bars=IndicatorCounted();
   
   limit=Bars-counted_bars;
   if(counted_bars>0) limit++; else if (limit>100) limit=CountBars; 
  
   int lastp15=0, lastp30=0, lastp60=0;
   for(i=0,y=0;i<limit;i++)
   {
      int p1,p2,p3,p4;
      
      p1 = iBarShift( NULL, TF1, Time[i], false );
      p2 = iBarShift( NULL, TF2, Time[i], false );
      p3 = iBarShift( NULL, TF3, Time[i], false );
      p4 = iBarShift( NULL, TF4, Time[i], false );
     
 //**********************************************************/  
      double totalUp = 0.0;
      double totalDown = 0.0;
      double TF5Up = 0.0;
      double TF5Down = 0.0;
   
      totalUp=iCustom(NULL,TF1,"SUPER_TREND 2",CCIPeriod1,0,p1);
      totalDown=iCustom(NULL,TF1,"SUPER_TREND 2",CCIPeriod1,1,p1); 
      totalUp= totalUp + iCustom(NULL,TF2,"SUPER_TREND 2",CCIPeriod2,0,p2);
      totalDown= totalDown + iCustom(NULL,TF2,"SUPER_TREND 2",CCIPeriod2,1,p2); 
      totalUp= totalUp + iCustom(NULL,TF3,"SUPER_TREND 2",CCIPeriod3,0,p3);
      totalDown= totalDown + iCustom(NULL,TF3,"SUPER_TREND 2",CCIPeriod3,1,p3); 
      totalUp= totalUp + iCustom(NULL,TF4,"SUPER_TREND 2",CCIPeriod4,0,p4);
      totalDown= totalDown + iCustom(NULL,TF4,"SUPER_TREND 2",CCIPeriod4,1,p4); 


      ExtMapBuffer1[i] = 0;
      ExtMapBuffer2[i] = 0;
      ExtMapBuffer3[i] = 0;
      ExtMapBuffer4[i] = 0;
      if ( totalUp == 4 || totalDown == -4 ) {
         ExtMapBuffer3[i] = totalUp;
         ExtMapBuffer4[i] = totalDown;
      } else {
         ExtMapBuffer1[i] = totalUp;
         ExtMapBuffer2[i] = totalDown;
      }
      
     //=====================GLOBAL============================================

  
    //            if      (ExtMapBuffer2[i] > 5697989945.919409)                                 
    //                       GlobalVariableSet("YESUPTBUY5GSig",1);
        
    //            if       (ExtMapBuffer2[i] < 5697989945.919409) 
    //                       GlobalVariableSet("YESUPTBUY5GSig",0); 
         
          //==========================================        
 
   //             if       (ExtMapBuffer2[i] > 2949210880.179441)        
   //                         GlobalVariableSet("YESUPTSELL5GSig",0);  
         
   //             if       (ExtMapBuffer2[i] < 2949210880.179441)                                  
    //                        GlobalVariableSet("YESUPTSELL5GSig",1);
        

         //=========================================
 //                YESUPTBUY5G  = GlobalVariableGet("YESUPTBUY5GSig");
 //                YESUPTSELL5G = GlobalVariableGet("YESUPTSELL5GSig");
     
     
 //            Comment("BUY..: ",YESUPTBUY5G,
 //                "\n","SELL.: ",YESUPTSELL5G);


//================================================================== 
      
   }  
   return(0);
  }
//+------------------------------------------------------------------+